;; -*- emacs-lisp -*-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; $Id: emacs_user.el,v 1.13 2006-11-06 21:02:42 rscholz Exp $
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Den Benutzer betreffende Einstellungen
;;
;; Die offizielle Quelle dieser Dateien ist
;;   <http://www.zonix.de/projects/emacs/config>
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Pfade
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; verschiedende Pakete ohne eigenes Verzeichnis
(add-to-list 'load-path (expand-file-name (concat zonix-elisp-dir "misc")))

;; zu testende Pakete
(add-to-list 'load-path (expand-file-name (concat zonix-elisp-dir "test")))

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; fr alle Locations gltige Einstellungen
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; Provider-Homepage
(setq w3-default-homepage "http://www.zonix.de/html32/")

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;; Location-spezifische Einstellungen
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;; Location
(defvar zonix-location nil)

(if (string-match "\\.zonix\\.de" system-name)
    (progn

      (setq zonix-location "home")
      
      ;; lokale Homepage
      (setq w3-default-homepage "http://www.home/~rscholz/html32/index.html")

      ;; Ispell
      (setq zonix-german-ispell-dictionary "ndeutsch8")

      ;; Privoxy & WWWOffle
      (setq url-proxy-services '(("http" . "proxy:9090/")
				 ("ftp" . "proxy:9090/")))))

(if (string-match "\\.verified\\.de" system-name)
    (progn

      ;; Ispell
      (setq zonix-german-ispell-dictionary "german8")

    
      (setq zonix-location "verified")))

