;; -*- emacs-lisp -*-
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; $Id: emacs_flyspell.el,v 1.5 2006-11-06 21:02:42 rscholz Exp $
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;;
;; Einstellungen fr den Flyspell-Mode (Rechtschreibkontrolle beim Tippen)
;;
;; Die offizielle Quelle dieser Datei ist
;;   <http://www.zonix.de/projects/emacs/config>
;;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(setq ispell-local-dictionary-alist
      '(("ndeutsch" 
	 "[a-zA-Z\"]" 
	 "[^a-zA-Z\"]" 
	 "[']" t
	 ("-C")
	 "~tex" iso-8859-1)

	("ndeutsch8" 
	 "[[:alpha:]]" 
	 "[^[:alpha:]]" 
	 "[']" t
	 ("-C" "-d" "ndeutsch")
	 "~latin1" iso-8859-1)
	))

;; User-Dictionary ohne Nachfrage speichern
(setq ispell-silently-savep t)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;; flyspell.el <http://kaolin.unice.fr/~serrano/>
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

(autoload 'flyspell-mode "flyspell" "On-the-fly spelling checking" t)

(define-key global-map [(f10)] 'flyspell-mode)

(set-default 'ispell-local-dictionary zonix-german-ispell-dictionary)
